Ext.define('App.view.bootstrap.ErrorDownloadStarted', {
    extend: 'App.view.bootstrap.Notification',
    title: _t('Integration Service'),
    afterRender: function() {
        this.callParent(arguments);
        
        this.descriptionEl = Ext.create('Ext.container.Container', {
            renderTo: this.formEl,
            cls: 'w-boot-description',
            html: sprintf(
                _t('Download started. Install %(IntegrationService)s and after that <a class="w-boot-link" onclick="window.location.reload()">refresh</a> the page.'),
                {IntegrationService:_t('Integration Service')}
            )
        });
    }
} );
