Ext.define('App.view.filter.field.combo.List', {
    extend: 'App.view.filter.field.combo.AbstractList',
    initComponent: function() {
        this.selectionModel = Ext.create('App.view.filter.field.combo.list.SelectionModel', {
            fieldSelectedStore: this.selectedStore
        });
        
        this.selectionViewConfig = Ext.applyIf({
            store: this.store,
            selModel: this.selectionModel,
            pickerCmp: this.pickerCmp
        }, this.selectionViewConfig);
                
        this.selectionView = Ext.create('App.view.filter.field.combo.list.SelectionView', this.selectionViewConfig);
        
        console.log('combo selection view config', this.selectionViewConfig);
        
        this.items = [
            this.selectionView
        ]
        
        this.callParent(arguments);
        this.searchCmp.on('search', this.onSearch, this);
        this.selectionView.on('afterSearch', this.onSearched, this);
    }
} );