Ext.define('App.proxy.DestinationsExt', {
    extend: 'App.proxy.Destinations',
    alias: 'proxy.destinationsExt',
    read: function(operation, callback, scope) {
        var limit, start, sql, sqlTotal;
        var condition = this.getFilterConditions(operation.filters);
        var seeAll = '';
        if(!User.canSeeAll) {
            seeAll = 'WHERE `number` IS NULL';
            if(condition) {
                condition += ' AND `number` IS NULL';
            } else {
                condition = '`number` IS NULL';
            }
        }

        limit = operation.limit;
        start = operation.start;

        if (condition) {
            sql = 'SELECT `ID`, `NAME`, `SOURCE` FROM `DESTINATIONS_EXT` WHERE '+ condition +' ORDER BY `SOURCE` ASC, `NAME_LOWER` ASC LIMIT '+ start +', '+ limit +'';
        } else {
            sql = 'SELECT `ID`, `NAME`, `SOURCE` FROM `DESTINATIONS_EXT` '+ seeAll +' ORDER BY `SOURCE` ASC, `NAME_LOWER` ASC LIMIT '+ start +', '+ limit +'';
        }

        if (condition) {
            sqlTotal = 'SELECT COUNT(*) AS `count` FROM `DESTINATIONS_EXT` WHERE '+ condition +'';
        } else {
            sqlTotal = 'SELECT COUNT(*) AS `count` FROM `DESTINATIONS_EXT` '+ seeAll;
        }

        this.callParent([sql, sqlTotal, operation, callback, scope]);
    }
});
