Ext.define('App.proxy.DestinationsInt', {
    extend: 'App.proxy.Destinations',
    alias: 'proxy.destinationsInt',
    read: function(operation, callback, scope) {
        var limit, start, sql, sqlTotal;
        var condition = this.getFilterConditions(operation.filters);

        limit = operation.limit;
        start = operation.start;

        if (condition) {
            sql = 'SELECT `ID`, `NAME`, `SOURCE` FROM `DESTINATIONS_INT` WHERE '+ condition +' ORDER BY `SOURCE` ASC, `NAME_LOWER` ASC LIMIT '+ start +', '+ limit +'';
        } else {
            sql = 'SELECT `ID`, `NAME`, `SOURCE` FROM `DESTINATIONS_INT` ORDER BY `SOURCE` ASC, `NAME_LOWER` ASC LIMIT '+ start +', '+ limit +'';
        }

        if (condition) {
            sqlTotal = 'SELECT COUNT(*) AS `count` FROM `DESTINATIONS_INT` WHERE '+ condition +'';
        } else {
            sqlTotal = 'SELECT COUNT(*) AS `count` FROM `DESTINATIONS_INT`';
        }

        this.callParent([sql, sqlTotal, operation, callback, scope]);
    }
});
