Ext.define('App.store.SimpleEvents', {
    extend: 'App.store.AbstractStore',
    model: 'App.model.SimpleEvent',
    storeId: 'SimpleEvents',
    remoteSort: true,
    remoteFilter: true,
    pageSize: 100,
    purgePageCount: 0,
    buffered: true,
    sort: function(sort) {
        if (!sort['direction'] || !sort['property']) {
            return;
        }
        
        var sorters = {
            field: sort['property'],
            dest: sort['direction']
        }
        
        this.setBuilderSorters(sorters);
        this.fireEvent('sortchange', sorters);
        this.callParent(arguments);
    },
    setReportId: function(id) {
        this.reportId = id;
    },
    getReportId: function() {
        return this.reportId;
    },
    getBuilderType: function() {
        return 1;
    },
    setBuilderFilters: function(filters) {
        this.builderFilters = filters;
    },
    getBuilderFilters: function() {
        return this.builderFilters;
    },
    setBuilderGroupings: function(groupings) {
        this.builderGroupings = groupings;
    },
    getBuilderGroupings: function() {
        return this.builderGroupings;
    },
    getBuilderSorters: function() {
        return this.builderSorters;
    },
    setBuilderSorters: function(sorters) {
        this.builderSorters = sorters;
    },
    setBuilderColumns: function(columns) {
        this.builderColumns = columns;
    },
    getBuilderColumns: function() {
        return this.builderColumns;
    },
    setBuilderSummaries: function(summaries) {
        this.builderSummaries = summaries;
    },
    getBuilderSummaries: function() {
        return this.builderSummaries;
    },
    setSummaries: function(summaries) {
        this.summaries = summaries;
    },
    getSummaries: function() {
        return this.summaries;
    }
});