Ext.define('App.view.bootstrap.ErrorWISNotResponding', {
    extend: 'App.view.bootstrap.Notification',
    title: _t('Integration Service'),
    afterRender: function() {
        this.callParent(arguments);
        
        this.descriptionEl = Ext.create('Ext.container.Container', {
            renderTo: this.formEl,
            cls: 'w-boot-description',
            html: sprintf(
                    _t('%(IntegrationService)s not responding. Please reinstall it using <a id="w-boot-download-link" class="w-boot-link" href="%(url)s">link</a>.'),
                    {IntegrationService:_t('Integration Service'),url:this.installUrl})
        });
        this.descriptionEl.getEl().first('.w-boot-link').on('click',this.onDownloadStarted);
    },
    onDownloadStarted:function(){
    }
} );
