Ext.define('App.view.filter.field.Tag', {
    extend: 'App.view.filter.field.SimpleCombo',
    createStore: function() {
        return Ext.create('App.store.Tags');
    },
    createSelectedStore: function(data) {
        var selectionStore = Ext.create('Ext.data.Store', {
            model: 'App.model.Tag',
            data: data,
            proxy: {
                type: 'memory',
                reader: {
                    type: 'json'
                }
            }
        });
        
        return selectionStore;
    }
} );